Bug 1919606 - Review Request: rnnoise - Recurrent neural network for audio noise reduction
Summary: Review Request: rnnoise - Recurrent neural network for audio noise reduction
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1920675 1921721
TreeView+ depends on / blocked
 
Reported: 2021-01-24 02:12 UTC by Artem
Modified: 2021-03-21 01:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 20:16:00 UTC
Type: ---
vascom2: fedora-review+


Attachments (Terms of Use)

Description Artem 2021-01-24 02:12:08 UTC
Spec URL: https://atim.fedorapeople.org/rnnoise.spec
SRPM URL: https://atim.fedorapeople.org/rnnoise-0-0.1.20210122git1cbdbcf.fc33.src.rpm

Description:
RNNoise is a noise suppression library based on a recurrent neural network.

While it is meant to be used as a library, a simple command-line tool is
provided as an example. It operates on RAW 16-bit (machine endian) mono PCM
files sampled at 48 kHz. It can be used as:

./examples/rnnoise_demo <noisy speech> <output denoised>

The output is also a 16-bit raw PCM file.

Fedora Account System Username: atim

Comment 1 Artem 2021-01-24 02:12:11 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=60332314

Comment 2 Vasiliy Glazov 2021-01-26 07:19:07 UTC
License is BSD https://opensource.org/licenses/BSD-3-Clause
Also we should ask at fedora-legal to clarify.

Comment 3 Vasiliy Glazov 2021-01-29 19:38:56 UTC
I asked upstream about patents inside

https://gitlab.xiph.org/xiph/rnnoise/-/issues/3

Comment 4 Ben Cotton 2021-03-10 21:00:26 UTC
Since upstream says there are no patent issues, I am lifting the FE-LEGAL block.

Comment 5 Vasiliy Glazov 2021-03-12 05:47:11 UTC
Let's speed up.

Comment 7 Vasiliy Glazov 2021-03-13 08:37:27 UTC
Approved.

But need to fix:
1. Change URL and Source to https://gitlab.xiph.org/xiph/rnnoise
2. Add AUTHORS and README to %doc.
3. rnnoise.src: W: strange-permission rnnoise.spec 775


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "BSD 2-clause "Simplified" License", "GNU General Public
     License v2.0 or later", "*No copyright* [generated file]". 17 files
     have unknown license. Detailed output of licensecheck in
     /home/vascom/1919606-rnnoise/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rnnoise-0-0.2.20210122git1cbdbcf.fc35.x86_64.rpm
          rnnoise-devel-0-0.2.20210122git1cbdbcf.fc35.x86_64.rpm
          rnnoise-debuginfo-0-0.2.20210122git1cbdbcf.fc35.x86_64.rpm
          rnnoise-debugsource-0-0.2.20210122git1cbdbcf.fc35.x86_64.rpm
          rnnoise-0-0.2.20210122git1cbdbcf.fc35.src.rpm
rnnoise.x86_64: W: spelling-error %description -l en_US endian -> Indian, ending
rnnoise.x86_64: W: spelling-error %description -l en_US denoised -> noised
rnnoise-devel.x86_64: W: no-documentation
rnnoise.src: W: spelling-error %description -l en_US endian -> Indian, ending
rnnoise.src: W: spelling-error %description -l en_US denoised -> noised
rnnoise.src: W: strange-permission rnnoise.spec 775
5 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rnnoise-debuginfo-0-0.2.20210122git1cbdbcf.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
rnnoise-devel.x86_64: W: no-documentation
rnnoise.x86_64: W: spelling-error %description -l en_US endian -> Indian, ending
rnnoise.x86_64: W: spelling-error %description -l en_US denoised -> noised
4 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/xiph/rnnoise/archive/1cbdbcf1283499bbb2230a6b0f126eb9b236defd/rnnoise-0.20210122git1cbdbcf.tar.gz :
  CHECKSUM(SHA256) this package     : 68c7ab4e408426088603e19955e746bb2a412d84bb121b6f39834c60fc8068b7
  CHECKSUM(SHA256) upstream package : 68c7ab4e408426088603e19955e746bb2a412d84bb121b6f39834c60fc8068b7


Requires
--------
rnnoise (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

rnnoise-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    librnnoise.so.0()(64bit)
    rnnoise(x86-64)

rnnoise-debuginfo (rpmlib, GLIBC filtered):

rnnoise-debugsource (rpmlib, GLIBC filtered):



Provides
--------
rnnoise:
    librnnoise.so.0()(64bit)
    rnnoise
    rnnoise(x86-64)

rnnoise-devel:
    pkgconfig(rnnoise)
    rnnoise-devel
    rnnoise-devel(x86-64)

rnnoise-debuginfo:
    debuginfo(build-id)
    rnnoise-debuginfo
    rnnoise-debuginfo(x86-64)

rnnoise-debugsource:
    rnnoise-debugsource
    rnnoise-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1919606
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Python, SugarActivity, Ocaml, fonts, R, Haskell, PHP, Perl, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 8 Tomas Hrcka 2021-03-15 08:40:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rnnoise

Comment 9 Fedora Update System 2021-03-15 09:10:09 UTC
FEDORA-2021-88f59f45e1 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-88f59f45e1

Comment 10 Fedora Update System 2021-03-15 09:18:45 UTC
FEDORA-2021-789f8bc7d2 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-789f8bc7d2

Comment 11 Fedora Update System 2021-03-15 20:00:58 UTC
FEDORA-2021-789f8bc7d2 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-789f8bc7d2 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-789f8bc7d2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-16 14:42:46 UTC
FEDORA-2021-88f59f45e1 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-88f59f45e1 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-88f59f45e1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-03-19 20:16:00 UTC
FEDORA-2021-88f59f45e1 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-03-21 01:22:50 UTC
FEDORA-2021-789f8bc7d2 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.